unregister_netdevice
Prev | Driver Support | Next

## Name

unregister_netdevice — remove device from the kernel

## Synopsis

`void unregister_netdevice (` | struct net_device * | dev`)`;

## Arguments

`dev`

  device

## Description

This function shuts down a device interface and removes it from the kernel tables.

Callers must hold the rtnl semaphore. You may want `unregister_netdev` instead of this.

Prev | Up | Next
free_netdev | Home | unregister_netdev